
From: Christoph Hellwig <hch@lst.de>

- I misspelled CONFIG_PREEMPT CONFIG_PREEPT as various people noticed. 
  But in fact that ifdef should just go, else we'll get drivers that
  compile with CONFIG_PREEMPT but not without sooner or later.

- remove unused hardirq_trylock and hardirq_endlock

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/hardirq.h |    5 -----
 1 files changed, 5 deletions(-)

diff -puN include/linux/hardirq.h~small-linux-hardirqh-tweaks include/linux/hardirq.h
--- 25/include/linux/hardirq.h~small-linux-hardirqh-tweaks	2004-09-11 17:26:39.913566912 -0700
+++ 25-akpm/include/linux/hardirq.h	2004-09-11 17:26:39.917566304 -0700
@@ -2,9 +2,7 @@
 #define LINUX_HARDIRQ_H
 
 #include <linux/config.h>
-#ifdef CONFIG_PREEPT
 #include <linux/smp_lock.h>
-#endif
 #include <asm/hardirq.h>
 
 #define __IRQ_MASK(x)	((1UL << (x))-1)
@@ -29,9 +27,6 @@
 #define in_softirq()		(softirq_count())
 #define in_interrupt()		(irq_count())
 
-#define hardirq_trylock()	(!in_interrupt())
-#define hardirq_endlock()	do { } while (0)
-
 #ifdef CONFIG_PREEMPT
 # define in_atomic()	((preempt_count() & ~PREEMPT_ACTIVE) != kernel_locked())
 # define preemptible()	(preempt_count() == 0 && !irqs_disabled())
_
